Skip to content

Get Payout Batches

| View as Markdown

This API will return all the payout batches of all the partner. We will pass date range to get the payout details and no of rows in response then we will get status: success/error, payout details of the batch in terms of code, name, created date, transaction type count.

get

http://kraken.airpay.co.in:8000/payout/partner/payout-batches
ParameterType ValueDescriptionValue Like
Content-Type requiredStringThe Content-Type header indicates the media type of the request or response body so the receiver knows how to process the data.application/json
Authorization requiredStringThe token is a JSON Web Token (JWT) in this example, commonly used for bearer authentication.JIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NT
ParameterType ValueDescriptionValue Like
from_date requiredDatePayout batch created from date. (Y-m-d)2022-01-10
to_date requiredDatePayout batch created to date. (Y-m-d)2022-01-25
offset requiredNumericWhich row to start retrieve from0
limit requiredNumeric
(1-25)
Number of rows in response.25
ParameterType ValueDescriptionValue Like
status requiredAlphanumericsuccess / errorsuccess
message requiredAlphanumericResponse descriptionPayout batches
errors requiredArrayError messages if response status is ‘error’
data requiredArrayResponse data
code requiredAlphanumericPayout batch code2022JAN
name requiredAlphanumericBatch nameAffiliate Payout January 2022- Batch 2
created_datetime requiredDateTimeBatch created date time (Y-m-d H:i:s)2022-02-12 20:48:14
transfers_count requiredNumericTotal number of transfers in the batch2
pending_transfers_count requiredNumericNumber of transfers waiting for airpay approval1
approved_transfers_count requiredNumericNumber of transfers approved by airpay1
processing_transfers_count requiredNumericNumber of transfers in process0
success_transfers_count requiredNumericNumber of successful transfers1
failure_transfers_count requiredNumericNumber of failed transfers1
rejected_transfers_count requiredNumericNumber transfers rejected by airpay0
HTTP get
GET 'partner/payout-batches?offset=0&limit=25&from_date=2022-01-10&to_date=2022-01-25'
{
"status": "success",
"message": "Payout batches",
"data": [
{
"code": "2022JANP1",
"name": "Affiliate Payout January 2022- Batch 2",
"created_datetime": "2022-02-12 20:48:14",
"transfers_count": 2,
"pending_transfers_count": 1,
"approved_transfers_count": 1,
"processing_transfers_count": 1,
"success_transfers_count": 0,
"failure_transfers_count": 0,
"rejected_transfers_count": 1
},
{
"code": "2022JAN",
"name": "Affiliate Payout January 2022",
"created_datetime": "2022-02-07 05:46:12",
"transfers_count": 2,
"pending_transfers_count": 2,
"approved_transfers_count": 0,
"processing_transfers_count": 0,
"success_transfers_count": 0,
"failure_transfers_count": 0,
"rejected_transfers_count": 0
}
]
}